curl --request GET \
--url https://api.synctera.com/v1/synctera_pay/incoming/configurations/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.synctera.com/v1/synctera_pay/incoming/configurations/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.synctera.com/v1/synctera_pay/incoming/configurations/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"creation_time": "2010-05-06T12:23:34.321Z",
"currency": "USD",
"enabled": true,
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"last_updated_time": "2010-05-06T12:23:34.321Z",
"name": "<string>",
"payer_must_be_payee": true,
"settlement_account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"settlement_account_owner_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"tenant": "abcdef_ghijkl",
"transaction_subtype": "INCOMING_INTERNATIONAL_WIRE"
}{
"code": "BAD_REQUEST_BODY",
"detail": "Missing required fields: first_name, dob",
"status": 400
}{
"code": "BAD_REQUEST_BODY",
"detail": "Missing required fields: first_name, dob",
"status": 400
}{
"code": "BAD_REQUEST_BODY",
"detail": "Missing required fields: first_name, dob",
"status": 400
}{
"code": "BAD_REQUEST_BODY",
"detail": "Missing required fields: first_name, dob",
"status": 400
}Get Incoming Synctera Pay Configuration
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The unique resource identifier
"7d943c51-e4ff-4e57-9558-08cab6b963c7"
Response
Incoming Synctera Pay Configuration
The timestamp representing when the dispute was created
"2010-05-06T12:23:34.321Z"
ISO 4217 Alpha-3 code representing the currency to be credited to the Synctera account.
3"USD"
Determines if this Incoming Synctera Pay Configuration can be used to create new transfers.
The unique ID of the Incoming Synctera Pay configuration
The timestamp representing when the dispute was last modified
"2010-05-06T12:23:34.321Z"
User-supplied name for the configuration
If true, transfers using this config must have the same payer and payee ("me-to-me") and peer-to-peer transfers can not use this configuration.
Account used for settlement of all transfers that use this configuration.
Business or Person that owns the settlement account for all transfers that use this configuration.
The id of the tenant containing the resource.
"abcdef_ghijkl"
Transaction sub-type to be recorded in the Synctera ledger for transactions using this configuration.
INCOMING_INTERNATIONAL_WIRE Was this page helpful?

